# NinetyEight.NEShopInfoResponse

## Struct NEShopInfoResponse <a href="#ninetyeight_neshopinforesponse" id="ninetyeight_neshopinforesponse"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Shop data response

```csharp
[Serializable]
public struct NEShopInfoResponse
```

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### data <a href="#ninetyeight_neshopinforesponse_data" id="ninetyeight_neshopinforesponse_data"></a>

List available packs, null if failed

```csharp
public NEShopPack[] data
```

**Field Value**

NEShopPack\[]

#### message <a href="#ninetyeight_neshopinforesponse_message" id="ninetyeight_neshopinforesponse_message"></a>

Response message

```csharp
public string message
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### status <a href="#ninetyeight_neshopinforesponse_status" id="ninetyeight_neshopinforesponse_status"></a>

Response status (usually this is http response status)

```csharp
public int status
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.neshopinforesponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
